## dojox.cometd.demo
Class BayeuxStartupListener.EchoRPC

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          dojox.cometd.demo.BayeuxStartupListener.EchoRPC

Enclosing class:
  BayeuxStartupListener

    public static class BayeuxStartupListener.EchoRPC

extends BayeuxService

Constructor Summary
`BayeuxStartupListener.EchoRPC(Bayeux bayeux)`

Method Summary
`Object` `doEcho(Client client, Object data)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`exception, getBayeux, getClient, send, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayeuxStartupListener.EchoRPC

    public BayeuxStartupListener.EchoRPC(Bayeux bayeux)

Method Detail

### doEcho

    public Object doEcho(Client client,
                         Object data)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.